> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Responder a un thread de WhatsApp

> Operacion: Responder a un thread de WhatsApp.



## OpenAPI

````yaml /generated/specs/communications.json post /api/omnichannel/threads/{threadId}/reply-whatsapp
openapi: 3.0.0
info:
  title: Raul API - Comunicaciones
  description: Inbox, omnichannel, bandejas compartidas, email sync, WhatsApp, spam y tags.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/omnichannel/threads/{threadId}/reply-whatsapp:
    post:
      tags:
        - Omnichannel
      summary: Responder a un thread de WhatsApp
      description: 'Operacion: Responder a un thread de WhatsApp.'
      operationId: OmnichannelController_replyWhatsApp
      parameters:
        - name: threadId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReplyWhatsAppDto'
      responses:
        '201':
          description: ''
      security:
        - bearerAuth: []
components:
  schemas:
    ReplyWhatsAppDto:
      type: object
      properties:
        message:
          type: string
          description: Contenido del mensaje de respuesta
        attachment:
          $ref: '#/components/schemas/WhatsAppAttachmentDto'
      required:
        - message
    WhatsAppAttachmentDto:
      type: object
      properties:
        name:
          type: string
          description: Nombre del archivo
        contentType:
          type: string
          description: 'Tipo MIME del archivo (ej: image/jpeg)'
        contentBytes:
          type: string
          description: Contenido del archivo en base64
      required:
        - name
        - contentType
        - contentBytes
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````